Gönderen Konu: Cairo-compmgr'nin çalışmaması sorunu ve çözümü  (Okunma sayısı 2386 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı cokomoko

  • İleti: 508
Her güncellemeyle bazı paketler çalışmaz hale gelebiliyor ki bu rolling dağıtımların doğasında var, zaten böyle olmasa 3 yıldır güncellemelerle yuvarlanarak sapasağlam kullanabildiğim tek dağıtım olan Arch Linux olamazdı.Bu güncelliğe ayak uyduramayan paketler illaki olacaktır.Bu o paketi kullanmayacağımız anlamına gelmez, bu durumda iki yolumuz var, ya paketçiye paketi güncellemesini söyleyeceğiz ya da bağımlılığı olan paketi downgrade edeceğiz.

Az önce uzun süredir openbox üzerinde kullanmadığım cairo-compmgr uygulamasını açtım fakat açılmadı hemen paket bağımlılıklarına oradan da aur üzerindeki cairo-compmgr paketlerine baktım, yapılan yorumlara göre vala-0.28.0-1 sürümüyle çalışmıyormuş, bunun için vala paketini vala-0.26.1-1 sürümüne çekmek lazım.

En azından paketçi paketi güncelleyene kadar vala sürümünü şu anlık downgrade ederek çözüme ulaşabiliriz.
Kod: [Seç]
downgrade vala
komutunu verip, vala-0.26.1-1-x86_64.pkg.tar.xz sürümünü seçin.Artık cairo-compmgr'i openbox üzerinde kullanabiliriz.

http://i.imgur.com/PQCNSs2.png" alt="" class="bbc_img" />
« Son Düzenleme: 01 Ocak 1970 - 02:00:00 Gönderen: Guest »
\'\'Eğer 386BSD ben Linux\'a başladığımda var olsaydı, Linux büyük bir olasılıkla olmazdı.\"

......................................................Linus Torvalds....................................................

\"Birgün herkes Archer olacak!\"